Bug 1765844 - protobuf-python3 missing from RHEL/CentOS 8
Summary: protobuf-python3 missing from RHEL/CentOS 8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: protobuf
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Adrian Reber
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On:
Blocks: 1710951
TreeView+ depends on / blocked
 
Reported: 2019-10-26 17:38 UTC by Denis Arnaud
Modified: 2020-04-15 02:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 01:34:01 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Fedora Pagure epel issue 90 None None None 2019-10-26 17:38:50 UTC

Description Denis Arnaud 2019-10-26 17:38:51 UTC
Description of problem:
protobuf (https://src.fedoraproject.org/rpms/protobuf) normally generates, among other sub-packages, protobuf-devel and protobuf-compiler. Those latter are however missing from RHEL/CentOS 8, even with EPEL enabled

Additional info:
A ticket has been opened for Release Engineering (https://pagure.io/epel/issue/90). However, I am not sure of the right process. Do not hesitate to point to the right way to require new sub-packages and/or packages for RHEL/CentOS 8.

Comment 1 Denis Arnaud 2019-10-27 14:44:32 UTC
The packages are available in Code Ready Builder (CRB) (on RHEL) / PowerTools (on CentOS). For the record (as I may not be the only one wondering on how to get those packages):

 $ sudo dnf config-manager --set-enabled PowerTools # CodeReadyBuilder
 $ sudo dnf -y install protobuf-devel protobuf-compiler

That bug can be closed.

Comment 2 Denis Arnaud 2019-10-27 15:42:45 UTC
As a matter of fact, the Python bindings for Protobuf are missing. On RHEL/CentS 7, that sub-package was named protobuf-python, and on Fedora rawhide, it is named python3-protobuf.

Could you re-generate the protobuf sub-packages, so as to include (at least) the Python bindings?

Comment 7 Chao Ye 2020-03-31 01:34:01 UTC
Verified on RHEL-8.2.0-20200310.0, Snapshot-3.0:
=================================================
[root@hp-dl380g10-01-vm-03 ~]# dnf info python3-protobuf
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:07:24 ago on Mon 30 Mar 2020 09:22:57 PM EDT.
Available Packages
Name         : python3-protobuf
Version      : 3.5.0
Release      : 7.el8
Architecture : noarch
Size         : 554 k
Source       : protobuf-3.5.0-7.el8.src.rpm
Repository   : beaker-AppStream
Summary      : Python 3 bindings for Google Protocol Buffers
URL          : https://github.com/google/protobuf
License      : BSD
Description  : This package contains Python 3 libraries for Google Protocol Buffers

Close as CURRENTRELEASE.

Comment 8 Denis Arnaud 2020-04-03 09:31:57 UTC
Could anyone indicate how to make those packages available on CentOS 8?

Comment 9 Chao Ye 2020-04-03 10:04:38 UTC
(In reply to Denis Arnaud from comment #8)
> Could anyone indicate how to make those packages available on CentOS 8?

I'm not sure how CentOS inherit packages from RHEL, but it seems python3-protobuf is located in CentOS Devel repo, instead of AppStream.
http://mirror.centos.org/centos/8/Devel/x86_64/os/Packages/

Comment 12 Carl George 🤠 2020-04-15 02:45:17 UTC
CentOS Stream has python3-protobuf in the AppStream repository.

CentOS Linux is currently still shipping python3-protobuf in the Devel repository, but at some point in the future that will follow suit and move to AppStream.


Note You need to log in before you can comment on or make changes to this bug.